Asynchronous Test

post{listenerUrl}/async-test

This webhook notification is triggered in response to a successful call to the Send Webhook Test Notification endpoint when the topic parameter in the request body is set to async-test.
It is designed to test the asynchronous flow for the integration and serves as confirmation of its successful setup.

Request

Header Parameters

  • X-Delivery-Idstring

    Unique message id plus delivery attempt.

  • X-Key-Idstring

    ID of the public key used to validate the signature.

  • X-Signaturestring

    Base64-encoded RSA SHA-256 signature of {deliveryId}:{keyId}:{requestBody}.

Body application/json

  • topicstring
    Allowed values:async-test
  • payloadobject
    • msgstring
      Allowed values:Test async topic
  • messageIdstring
  • listenerIdstring
  • listenerAccountIdstring
  • deliveryAttemptnumber
  • createdAtstring

    The notification message creation timestamp.

  • sentAtstring

    The delivery attempt timestamp.

  • keyIdstring

    The public key id for validating the signature. Public keys can be found at https://api.immersve.com/.well-known/jwks.json and matched using the "kid" attribute.

  • issuerstring